/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.exceptionloggingexample;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 *
 * @author omozegieaziegbe
 */
public class ExceptionLoggingExample {

    private static final Logger logger = LoggerFactory.getLogger(ExceptionLoggingExample.class);
    
    
    public static void main(String[] args) {
     
        
        try {
           int result = divide(10, 0);
        } catch (Exception e) {
            logger.error("An error occurred while dividing {} by {} : {}", 10, 0, e.getMessage(), e);
        }
    }

    public static int divide(int value_1, int value_2) {
        if (value_2 == 0) {
            throw new ArithmeticException("Division by zero is not allowed.");
        }
        return value_1 / value_2;
    }
}